classification
Title: pdb crashes when jumping over "with" statement
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: DSP, ned.deily, xdegaye
Priority: normal Keywords:

Created on 2014-12-11 15:59 by DSP, last changed 2014-12-13 11:08 by DSP. This issue is now closed.

Files
File name Uploaded Description Edit
pdb_segfault.py DSP, 2014-12-11 15:59
Messages (4)
msg232481 - (view) Author: Dan (DSP) Date: 2014-12-11 15:59
-> print(1)
(Pdb) jump 6
Segmentation fault
msg232498 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-12-11 22:00
Sorry, I wasn't able to reproduce this.  What platform are you running on and what is the output from the following?

python2.7 -c 'import sys;print(sys.version)'
msg232501 - (view) Author: Dan (DSP) Date: 2014-12-11 22:36
Sorry, it happens in:
2.7.3 |EPD 7.3-2 (64-bit)| (default, Apr 11 2012, 17:52:16) \n[GCC 4.1.2 20080704 (Red Hat 4.1.2-44)]

Works as expected in 2.7.8 and 3.3.2
2.7.8 (default, Jun 30 2014, 16:03:49) [MSC v.1500 32 bit (Intel)]
3.3.2 (v3.3.2:d047928ae3f6, May 16 2013, 00:03:43) [MSC v.1600 32 bit (Intel)]
msg232602 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2014-12-13 10:29
This has been fixed by issue 14612 for version 2.7.4.
History
Date User Action Args
2014-12-13 11:08:31DSPsetstatus: open -> closed
resolution: out of date
2014-12-13 10:29:00xdegayesetnosy: + xdegaye
messages: + msg232602
2014-12-11 22:36:11DSPsetmessages: + msg232501
2014-12-11 22:00:16ned.deilysetnosy: + ned.deily
messages: + msg232498
2014-12-11 15:59:56DSPcreate